Bug 1435172 - Entities menu does not contain Pod object
Summary: Entities menu does not contain Pod object
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: Nimrod Shneor
QA Contact: Einat Pacifici
URL:
Whiteboard: container
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-23 10:21 UTC by Tony
Modified: 2018-06-05 11:30 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:43:48 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)
Map Tags - entity menu (105.41 KB, image/png)
2017-03-23 10:21 UTC, Tony
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Tony 2017-03-23 10:21:20 UTC
Created attachment 1265671 [details]
Map Tags - entity menu

Description of problem:


In CFME, Configuration ---> CFME Region ---> Map Tags ---> Add ---> Click on Entity dropdown menu.


Expected result: 


Pod should be among the menu options


Actual result:

Pod is not included in the menu options


Reference:

https://bugzilla.redhat.com/show_bug.cgi?id=1383405

Comment 2 Nimrod Shneor 2017-03-27 11:48:46 UTC
This is solved in the following PR: 
https://github.com/ManageIQ/manageiq-ui-classic/pull/780

We have "Pod" as the *English* translation of "ContainerGroup" - recent changes around label->tag mapping broke the translation – the `ui_lookup()` call - and this PR should fix it.

Comment 3 Nimrod Shneor 2017-03-27 11:50:22 UTC
Just to verify I fetched the branch and saw it did fix this.

Comment 4 Beni Paskin-Cherniavsky 2017-03-27 20:31:36 UTC
https://github.com/ManageIQ/manageiq-ui-classic/pull/780 merged.

Comment 5 Tony 2017-04-05 10:15:15 UTC
Verified on CFME 5.8.0.8

Comment 7 errata-xmlrpc 2017-05-31 14:43:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.